#1774 closed defect (fixed)

IMFS limits filename sizes to mounted directories.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: fs Version: 4.10
Severity: normal Keywords:
Cc: joel.sherrill@…, sebastian.huber@… Blocked By:
Blocking:

Description

Create a RAM disk and format an RFS file system then mount on /ram. In a shell this command sequence works:

/# cd ram
ram$ mkdir 0123456789012345678901234567890123

However:
/# cd /
/# mkdir /ram/0123456789012345678901234567890124

does not work. The IMFS filename limit is 32 characters.

Attachments (1)

pr1774-imfs-mounted-paths-3.diff (10.7 KB) - added by Chris Johns on May 11, 2011 at 1:43:41 AM.
Fixes the IMFS eval and also the introduced problems.

Download all attachments as: .zip

Change History (5)

comment:1 Changed on May 9, 2011 at 5:34:27 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:2 Changed on May 9, 2011 at 12:56:56 PM by Joel Sherrill

Cc: Joel Sherrill added

Changed on May 11, 2011 at 1:43:41 AM by Chris Johns

Fixes the IMFS eval and also the introduced problems.

comment:3 Changed on May 17, 2011 at 3:47:12 AM by Chris Johns

Resolution: fixed
Status: newclosed

Fixed on HEAD and 4.10 for 4.10.1

comment:4 Changed on Jun 20, 2011 at 10:00:11 PM by Chris Johns

blocked: 1286
Note: See TracTickets for help on using tickets.